#ifndef COMBOBOXWIDGET_H
#define COMBOBOXWIDGET_H

#include <QComboBox>
#include "IxWidget.h"
#include "IxWidgetFactory.h"

class ComboBoxWidget : public QComboBox,public IxWidget
{
    Q_OBJECT
public:
	static const QString type;

public:
    ComboBoxWidget(QWidget *parent);

    IXWIDGET_OBJECT_NAME

public:
     QVariant getValue() const override;

     void setValue(const QVariant &value) override;

     bool isValueNull() const override;

     void clearInput() override;

public:
	void setOptions(const QVariantMap &options);

};



#endif // COMBOBOXWIDGET_H
